Module javafx.graphics
Package javafx.scene.input

# Class InputEvent

java.lang.Object
java.util.EventObject
javafx.event.Event
javafx.scene.input.InputEvent

All Implemented Interfaces:
  `Serializable`, `Cloneable`

Direct Known Subclasses:
  `ContextMenuEvent`, `DragEvent`, `GestureEvent`, `InputMethodEvent`, `KeyEvent`, `MouseEvent`, `TouchEvent`

public class InputEvent extends Event
An event indicating a user input.

Since:
  JavaFX 2.0
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final EventType<InputEvent>`
`ANY`
Common supertype for all input event types.

### Fields inherited from class javafx.event.Event

`consumed, eventType, NULL_SOURCE_TARGET, target`

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`InputEvent(Object source, EventTarget target, EventType<? extends InputEvent> eventType)`
Creates new instance of InputEvent.
`InputEvent(EventType<? extends InputEvent> eventType)`
Creates new instance of InputEvent.

## Method Summary

Modifier and Type
Method
Description
`EventType<? extends InputEvent>`
`getEventType()`
Gets the event type of this event.

### Methods inherited from class javafx.event.Event

`clone, consume, copyFor, fireEvent, getTarget, isConsumed`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### ANY

public static final EventType<InputEvent> ANY
Common supertype for all input event types.

## Constructor Details

### InputEvent

public InputEvent(EventType<? extends InputEvent> eventType)
Creates new instance of InputEvent.

Parameters:
  `eventType` - Type of the event

### InputEvent

public InputEvent(Object source, EventTarget target, EventType<? extends InputEvent> eventType)
Creates new instance of InputEvent.

Parameters:
  `source` - Event source
  `target` - Event target
  `eventType` - Type of the event

## Method Details

### getEventType

public EventType<? extends InputEvent> getEventType()
Description copied from class: `Event`
Gets the event type of this event. Objects of the same `Event` class can have different event types. These event types further specify what kind of event occurred.

Overrides:
  `getEventType` in class `Event`
Returns:
  the event type